### Hierarchy

- SecureContextOptions
  - ConnectionOptions
    - SecureClientSessionOptions
    - AgentOptions

## Index

### Properties

- ALPNProtocols
- NPNProtocols
- ca
- cert
- checkServerIdentity
- ciphers
- clientCertEngine
- crl
- dhparam
- ecdhCurve
- honorCipherOrder
- host
- key
- lookup
- maxVersion
- minDHSize
- minVersion
- passphrase
- path
- pfx
- port
- rejectUnauthorized
- secureContext
- secureOptions
- secureProtocol
- servername
- session
- sessionIdContext
- socket
- timeout

## Properties

### Optional ALPNProtocols

ALPNProtocols: string[] | Buffer[] | Uint8Array[] | Buffer | Uint8Array

- Defined in node_modules/@types/node/tls.d.ts:268

### Optional NPNProtocols

NPNProtocols: string[] | Buffer[] | Uint8Array[] | Buffer | Uint8Array

- Defined in node_modules/@types/node/tls.d.ts:267

### Optional ca

ca: string | Buffer | Array<string | Buffer>

Inherited from SecureContextOptions.ca

- Defined in node_modules/@types/node/tls.d.ts:348

### Optional cert

cert: string | Buffer | Array<string | Buffer>

Inherited from SecureContextOptions.cert

- Defined in node_modules/@types/node/tls.d.ts:347

### Optional checkServerIdentity

checkServerIdentity: undefined | checkServerIdentity

- Defined in node_modules/@types/node/tls.d.ts:269

### Optional ciphers

ciphers: undefined | string

Inherited from SecureContextOptions.ciphers

- Defined in node_modules/@types/node/tls.d.ts:349

### Optional clientCertEngine

clientCertEngine: undefined | string

Inherited from SecureContextOptions.clientCertEngine

- Defined in node_modules/@types/node/tls.d.ts:352

### Optional crl

crl: string | Buffer | Array<string | Buffer>

Inherited from SecureContextOptions.crl

- Defined in node_modules/@types/node/tls.d.ts:353

### Optional dhparam

dhparam: string | Buffer

Inherited from SecureContextOptions.dhparam

- Defined in node_modules/@types/node/tls.d.ts:354

### Optional ecdhCurve

ecdhCurve: undefined | string

Inherited from SecureContextOptions.ecdhCurve

- Defined in node_modules/@types/node/tls.d.ts:351

### Optional honorCipherOrder

honorCipherOrder: undefined | false | true

Inherited from SecureContextOptions.honorCipherOrder

- Defined in node_modules/@types/node/tls.d.ts:350

### Optional host

host: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:262

### Optional key

key: string | Buffer | Array<Buffer | Object>

Inherited from SecureContextOptions.key

- Defined in node_modules/@types/node/tls.d.ts:345

### Optional lookup

lookup: net.LookupFunction

- Defined in node_modules/@types/node/tls.d.ts:274

### Optional maxVersion

maxVersion: SecureVersion

Inherited from SecureContextOptions.maxVersion

- Defined in node_modules/@types/node/tls.d.ts:363

Optionally set the maximum TLS version to allow. One of `TLSv1.2'`, `'TLSv1.1'`, or `'TLSv1'`. Cannot be specified along with the `secureProtocol` option, use one or the other. Default: `'TLSv1.2'`.

### Optional minDHSize

minDHSize: undefined | number

- Defined in node_modules/@types/node/tls.d.ts:272

### Optional minVersion

minVersion: SecureVersion

Inherited from SecureContextOptions.minVersion

- Defined in node_modules/@types/node/tls.d.ts:373

Optionally set the minimum TLS version to allow. One of `TLSv1.2'`, `'TLSv1.1'`, or `'TLSv1'`. Cannot be specified along with the `secureProtocol` option, use one or the other. It is not recommended to use less than TLSv1.2, but it may be required for interoperability. Default: `'TLSv1.2'`, unless changed using CLI options. Using `--tls-v1.0` changes the default to `'TLSv1'`. Using `--tls-v1.1` changes the default to `'TLSv1.1'`.

### Optional passphrase

passphrase: undefined | string

Inherited from SecureContextOptions.passphrase

- Defined in node_modules/@types/node/tls.d.ts:346

### Optional path

path: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:264

### Optional pfx

pfx: string | Buffer | Array<string | Buffer | Object>

Inherited from SecureContextOptions.pfx

- Defined in node_modules/@types/node/tls.d.ts:344

### Optional port

port: undefined | number

- Defined in node_modules/@types/node/tls.d.ts:263

### Optional rejectUnauthorized

rejectUnauthorized: undefined | false | true

- Defined in node_modules/@types/node/tls.d.ts:266

### Optional secureContext

secureContext: SecureContext

- Defined in node_modules/@types/node/tls.d.ts:273

### Optional secureOptions

secureOptions: undefined | number

Inherited from SecureContextOptions.secureOptions

- Defined in node_modules/@types/node/tls.d.ts:355

### Optional secureProtocol

secureProtocol: undefined | string

Inherited from SecureContextOptions.secureProtocol

- Defined in node_modules/@types/node/tls.d.ts:356

### Optional servername

servername: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:270

### Optional session

session: Buffer

- Defined in node_modules/@types/node/tls.d.ts:271

### Optional sessionIdContext

sessionIdContext: undefined | string

Inherited from SecureContextOptions.sessionIdContext

- Defined in node_modules/@types/node/tls.d.ts:357

### Optional socket

socket: net.Socket

- Defined in node_modules/@types/node/tls.d.ts:265

### Optional timeout

timeout: undefined | number

- Defined in node_modules/@types/node/tls.d.ts:275

Generated using TypeDoc